Subject: bug#73552: obsolete (and broken) face attribute :reverse-video

From: Stefan Kangas <[email-masked]>
Date: Sun, 29 Sep 2024 06:55:19 -0700

Mattias Engdegård <[email-masked]> writes:

> I first blamed a simple 14 years old mistake in `custom-fix-face-spec`
> but fixing that doesn't help, not sure why. But it means that we
> probably don't need to fix it, and indeed there are precious few
> packages using :reverse-video. One is make-mode.el; outside Emacs, I
> only found one (yaml-mode).

I suggest fixing this in make-mode.el to avoid the warning.

> While :bold and :italic are obsolete as well, they are used a lot more
> (and actually seem to work) so I'm not warning about them now.

We could start by doing s/:bold t/:weight bold/ and
s/:italic t/:slant italic/ in our tree.

> To summarise:
> - Should we fix `custom-fix-face-spec`? Maybe, or just stop pretending that it handles :reverse-video.
> - Should we bother to fix what other mechanism preventing :reverse-video from working? Probably no.
> - Should we remove :reverse-video from the display machinery? Yes, but maybe not now?

It doesn't seem worth fixing :reverse-video at this point, indeed.

I suggest removing it, given that it's been broken for so long and that
we now have a warning instead.

> - Should we remove :bold and :italic? Yes, but definitely not now.

I'd propose adding obsoletion warnings for :bold and :italic.  I note
that they are not documented in the elisp manual.